#ifndef BTTV_HPP
#define BTTV_HPP

#include "config.hpp"

#include <string>

class Bttv
{
public:
  void voldown();
  void volup();
  void mute();
  void stop();
  void play(const std::string& frequeny);
  void pause();

  bool playing, _mute;

  ~Bttv();
  static Bttv* get_instance();

protected:
  Bttv();

  // implemented in terms of:
  Config *conf;

private:
  static Bttv* instance;

  bool paused;
  std::string freq;
};

#endif
